test-cloud
latest
false
Test Cloud API ガイド
- スタート アップ ガイド
- 認証
- 範囲と権限
- プラットフォーム管理 API
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。
新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。
組織内のすべてのテナントの消費の概要を取得するための POST エンドポイントです。テナント別にグループ化され、テナント プールおよび組織プールの内訳が表示されます。
組織管理者は、このエンドポイントを使用して、組織内のすべてのテナントの消費概要を取得します。
API エンドポイント
POST {accessURL}/lease_/api/usage/{organizationId}/tenants/consumption-summary
すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。
| Cloud Platform | アクセス URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud (公共部門向け) | https://govcloud.uipath.us/ |
| Test Cloud (専有型) | https://{customURL}.dedicated.uipath.com/ |
注:
製品にログインすると、アクセス URL の直後に URL に組織の名前が表示されます (例: {accessURL}/{organizationName}/...)。
要求ヘッダー
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
注:
{access_token}を取得するには、必ずこちらで説明する ROPC の方法で認証を行ってください。
パス パラメーター
| パス パラメーター | データ型 | 説明 |
|---|---|---|
organizationId (必須) | 文字列 (GUID) | 消費の概要を取得する組織の ID です。 |
要求本文
要求本文では、概要を取得する日付範囲と消費可能コードを指定します。消費可能コードの詳細なリストについては、「 消費状況」をご覧ください。
{
"startDate": 0,
"endDate": 0,
"consumableCode": "string",
"tenantId": "string",
"includeTopUpBreakdown": false,
"includeAllocation": false
}
{
"startDate": 0,
"endDate": 0,
"consumableCode": "string",
"tenantId": "string",
"includeTopUpBreakdown": false,
"includeAllocation": false
}
注:
startDateandendDateare Unix timestamps in seconds. Both bounds are inclusive. Values provided in milliseconds are rejected with a400 Bad Requesterror indicating that seconds are expected.tenantIdis optional. When provided, limits the summary to this tenant.includeTopUpBreakdownis optional (default:false). When set totrue, the response includes the consumption drawn from top-up units (consumedByTopUpfields).includeAllocationis optional (default:false). When set totrue, the response includes the allocated amount for the queried consumable (allocatedfield).
応答
200 OK
組織内のすべてのテナントの消費の概要を返します。
要求の例
呼び出しは次の例のようになります (cURL)。
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-summary' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"startDate": 1704067200,
"endDate": 1706745600,
"consumableCode": "consumption_unit_code"
}'
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-summary' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"startDate": 1704067200,
"endDate": 1706745600,
"consumableCode": "consumption_unit_code"
}'
消費の概要の取得が成功した場合の応答本文は次のとおりです。
注:
consumedByTopUpis included at the top level and within eachtenantConsumptionItemsentry only whenincludeTopUpBreakdownistrue.allocatedis included at the top level only whenincludeAllocationistrue.
{
"consumedFromOrgWithoutTenant": 0,
"consumedByTopUp": 0,
"allocated": 0,
"tenantConsumptionItems": [
{
"tenantId": "string",
"consumedFromTenantPool": 0,
"consumedFromOrgPool": 0,
"consumedByTopUp": 0
},
{
"tenantId": "string",
"consumedFromTenantPool": 0,
"consumedFromOrgPool": 0,
"consumedByTopUp": 0
}
]
}
{
"consumedFromOrgWithoutTenant": 0,
"consumedByTopUp": 0,
"allocated": 0,
"tenantConsumptionItems": [
{
"tenantId": "string",
"consumedFromTenantPool": 0,
"consumedFromOrgPool": 0,
"consumedByTopUp": 0
},
{
"tenantId": "string",
"consumedFromTenantPool": 0,
"consumedFromOrgPool": 0,
"consumedByTopUp": 0
}
]
}